aboutsummaryrefslogtreecommitdiff
path: root/local
diff options
context:
space:
mode:
Diffstat (limited to 'local')
-rwxr-xr-xlocal/bin/allsync6
-rwxr-xr-xlocal/bin/startsway3
2 files changed, 5 insertions, 4 deletions
diff --git a/local/bin/allsync b/local/bin/allsync
index e5bb633..db64b4e 100755
--- a/local/bin/allsync
+++ b/local/bin/allsync
@@ -126,4 +126,8 @@ sec "Passwords"
pass git pull || fail "Passwords pull failed"
pass git push || fail "Passwords push failed"
-exit $ecode
+if [ "${AUTORUN:-n}" = "y" ]; then
+ echo "Reported failure exit code: $ecode" >&2
+else
+ exit $ecode
+fi
diff --git a/local/bin/startsway b/local/bin/startsway
index 76545b1..3982c19 100755
--- a/local/bin/startsway
+++ b/local/bin/startsway
@@ -4,9 +4,6 @@ exec 1> >(logger -s -t "${0##*/}") 2>&1
# Declare the current desktop
export XDG_CURRENT_DESKTOP=sway
-# Use GTK theme for QT applications
-export QT_QPA_PLATFORMTHEME=gtk2
-export QT_STYLE_OVERRIDE='gtk2'
# Fix fullscreen game offscreen
export SDL_VIDEO_MINIMIZE_ON_FOCUS_LOSS=0
# To fix missing textures on intel